1

While I was trying to run this following :-

sudo apt-get install libprotobuf-dev libleveldb-dev libsnappy-dev libopencv-dev libhdf5-serial-dev protobuf-compiler

The error I encountered was :-

Hit:1 http://archive.ubuntu.com/ubuntu xenial InRelease
Get:2 http://archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB]
Get:3 http://archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB]
Get:4 http://archive.ubuntu.com/ubuntu xenial-security InRelease [102 kB]
Fetched 306 kB in 1s (173 kB/s)   
Reading package lists... Done
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies:
 python-sphinx : Depends: sphinx-common (= 1.3.6-2ubuntu1) but 1.3.6-2ubuntu1.1 is installed
                 Recommends: sphinx-doc but it is not installed
E: Unmet dependencies. Try using -f

Then I tried :-

sudo apt-get -f install

And again error was :-

Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following additional packages will be installed:
  python-sphinx
Suggested packages:
  dvipng texlive-latex-recommended texlive-latex-extra texlive-fonts-recommended
Recommended packages:
  sphinx-doc
The following packages will be upgraded:
  python-sphinx
1 upgraded, 0 newly installed, 0 to remove and 11 not upgraded.
102 not fully installed or removed.
Need to get 0 B/401 kB of archives.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] y
dpkg: warning: files list file for package 'apport-gtk' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'apport-symptoms' missing; assuming package has no files currently installed
(Reading database ... 231891 files and directories currently installed.)
Preparing to unpack .../python-sphinx_1.3.6-2ubuntu1.1_all.deb ...
/var/lib/dpkg/info/python-sphinx.prerm: 6: /var/lib/dpkg/info/python-sphinx.prerm: pyclean: not found
dpkg: warning: subprocess old pre-removal script returned error exit status 127
dpkg: trying script from the new package instead ...
/var/lib/dpkg/tmp.ci/prerm: 6: /var/lib/dpkg/tmp.ci/prerm: pyclean: not found
dpkg: error processing archive /var/cache/apt/archives/python-sphinx_1.3.6-2ubuntu1.1_all.deb (--unpack):
 subprocess new pre-removal script returned error exit status 127
/var/lib/dpkg/info/python-sphinx.postinst: 6: /var/lib/dpkg/info/python-sphinx.postinst: pycompile: not found
dpkg: error while cleaning up:
 subprocess installed post-installation script returned error exit status 127
Errors were encountered while processing:
 /var/cache/apt/archives/python-sphinx_1.3.6-2ubuntu1.1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Suggest how to get rid of this error.

  • Is python-minimal package installed. Note that you have "102 not fully installed or removed" which is a bit of a mess – doug Jun 5 '17 at 21:05
  • Yes, you are right and python minimal package is installed. – Ujjal Kumar Das Jun 16 '17 at 16:28

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.